#include <bits/stdc++.h>


int n, k, x, c;

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);

    scanf("%d%d%d", &n, &k, &x);

    if (k == 0)
    {
        for (int i = 0; i < n; i++)
        {
            int t = 1;
            printf("%d ", t);
        }
        return 0;
    }
    int a[1000];

    if (k == n)
    {
        a[0] = 1;

        for (int i = 1; i < n; i++)
        {
            if (i % 2 == 0)
            {
                a[i] = a[i - 2] + 1;
            }
            else
            {
                a[i] = a[i - 1] + x;
            }
        }


        for (int i = 0; i < n; i++)
        printf("%d ", a[i]);

        return 0;
    }



    a[0] = 1;
    int c = 0;
    for (int i = 0; i < n - 1; i++)
    {
        for (int j = i + 1; j < n; j++)
        {
            if (c < k)
            {
                a[j] = a[i] + x;
                c++;
            }
            else
                a[j] = 1;
        }
    }

    for (int i = 0; i < n; i++)
        printf("%d ", a[i]);
    return 0;
}